Replace Notification Rule
curl --request PUT \
--url https://api.example.com/api/agent/deployments/{deploymentId}/actions/{notificationRuleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": 123,
"notificationRuleId": 123,
"notificationRule": {
"id": 123,
"channel": "<string>",
"config": {},
"is_enabled": true,
"name": "<string>",
"policy_slugs": [
"<string>"
],
"use_network_broker": true,
"config_error": "<string>",
"send_scan_completion": true
}
}
'import requests
url = "https://api.example.com/api/agent/deployments/{deploymentId}/actions/{notificationRuleId}"
payload = {
"deploymentId": 123,
"notificationRuleId": 123,
"notificationRule": {
"id": 123,
"channel": "<string>",
"config": {},
"is_enabled": True,
"name": "<string>",
"policy_slugs": ["<string>"],
"use_network_broker": True,
"config_error": "<string>",
"send_scan_completion": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: 123,
notificationRuleId: 123,
notificationRule: {
id: 123,
channel: '<string>',
config: {},
is_enabled: true,
name: '<string>',
policy_slugs: ['<string>'],
use_network_broker: true,
config_error: '<string>',
send_scan_completion: true
}
})
};
fetch('https://api.example.com/api/agent/deployments/{deploymentId}/actions/{notificationRuleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"notification_rule": {
"id": 123,
"channel": "<string>",
"config": {},
"is_enabled": true,
"name": "<string>",
"policy_slugs": [
"<string>"
],
"use_network_broker": true,
"config_error": "<string>",
"send_scan_completion": true
}
}Notification Rules
Replace Notification Rule
Replace a notification rule
PUT
/
api
/
agent
/
deployments
/
{deploymentId}
/
actions
/
{notificationRuleId}
Replace Notification Rule
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I